import { selectConfig, component, mergeConfig, fixedForwardRef } from '@salutejs/plasma-new-hope/emotion';
import React from 'react';
import { config } from './Select.config';
const mergedConfig = mergeConfig(selectConfig, config);
const SelectNewHope = component(mergedConfig);
const SelectComponent = (props, ref)=>{
    return /*#__PURE__*/ React.createElement(SelectNewHope, {
        ref: ref,
        ...props
    });
};
const Select = fixedForwardRef(SelectComponent);
export { Select };
